//  context.h 

/*
 * Licensed Materials - Property of IBM
 * 5648-C63
 * (C) Copyright IBM Corp. 2000
 */

#ifndef AcordContext_h
#define AcordContext_h

#include <BipCpi.h>

typedef struct parserContext {
	CciElement*		eParent;			/* Parent variable */
	CciElement*		eBody;				/* pointer to body element (ACORD) */
	CciChar*		iBuffer;			/* Buffer pointer to Unicode data */
	char*			iDataPtr;			/* Original data area buffer pointer */
	int				iSize;				/* Size of input buffer in bytes */
	int				iLength;			/* Size of Message Body in bytes */
	int				iDataLen;			/* Size of original message data in bytes */
	int				iOffset;			/* Current position in the buffer */
	int				iCodePage;			/* Code page */
	int				iEncoding;			/* Numeric format from MQMD */
	int				iEncodeInt;			/* Integer format - 0 = host, 1 = Intel/PC */
	int				iEncodePD;			/* Packed decimal format - 0 = host, 1 = Intel/PC */
	int				iFiller;			/* Should filler fields be ignored on input? */
	int				iMsgType;			/* Management or regular message */
	int				iInTran;			/* Inside transaction indicator */
	int				iMgmtVersion;		/* Management message version number */
	int				iMgmtModLevel;		/* Management message modification level */
	unsigned int	iStartTimeHigh;		/* High word of start time */
	unsigned int	iStartTimeLow;		/* Low word of start time */
	int				totalParseTime;		/* Total time spent parsing this message */
  	char			hdrVersion[6];		/* Save area for header version */
  	char			trnVersion[6];		/* Save area for transaction header version */
	char			msgVersion[121];	/* Standard and version area from 2TCG group */
} PARSER_CONTEXT_ST;

#endif