/*****************************************************************/
/*                                                               */
/*  Definitions for mtd file layout.                             */
/*                                                               */
/*****************************************************************/

#define MAX_NAME_LEN	31
#define META_HDR_LEN	32

/*****************************************************************/
/*                                                               */
/*  Data type definitions - from USAGE clauses.                  */
/*                                                               */
/*****************************************************************/

#define USE_DISPLAY   0
#define USE_BINARY    1
#define USE_POINTER   2
#define USE_PACKED    3
#define USE_FLOAT1    4
#define USE_INDEX     5
#define USE_FLOAT2    8

/*****************************************************************/
/*                                                               */
/*  Data type definitions - Flags.                               */
/*                                                               */
/*****************************************************************/

#define FLAGS_NUMERIC		1
#define FLAGS_SIGNED		2
#define FLAGS_ALPHABETIC	4
#define FLAGS_TEXT			8
#define FLAGS_YES_NO		16
#define FLAGS_DATE			32
#define FLAGS_TIME			64
#define FLAGS_PHONE			128
#define FLAGS_FILLER		1

/**************************************************************/
/*                                                            */
/* Metadata file header structure                             */
/*                                                            */
/**************************************************************/

typedef struct {
	int		HdrLength;
	int		Version;
	int		Seglen;
	int		Maxvar;
	int		InitialValue;
	int		Names;
	int		Unames;
	char	InitChar;
	char	Spares[3];
} META_FILE_HEADER;

/**************************************************************/
/*                                                            */
/* Variable table structure definition                        */
/*                                                            */
/**************************************************************/

typedef struct {
	int	Offset;
	int	Length;
	int	Parent;
	int	FirstChild;
	int	LastChild;
	int	NextSibling;
	int	PrevSibling;
	int	Occur;
	int	OccurMax;
	int	OccurDepend;
	char	Level;
	char	Usage;
	unsigned char	Flags;
	unsigned char	Flags2;
	char	decimalPoint;
	char	Reserved;
	char	Reserved2;
	char	Reserved3;
	int		Nameptr;
	int		Unameptr;
} VAR_FILE_REC;
